<?php
namespace Home\Controller;
use Common\Controller\BaseController;
class RegController extends BaseController {
	
	
    public function index(){
    //判断是否已是登陆状态
	if(I('session.id') || I('session.userid')){
	$this->redirect('User/Console/index');
	exit; 
	}
	
	$ip = get_client_ip();//获取用户端的IP地址
	$Ip = new \Org\Net\IpLocation('UTFWry.dat'); //实例化IP库
	$city = $Ip->getlocation($ip); // 获取IP地址所在的位置
	$city = iconv('GBK','UTF-8//IGNORE',$city['country']);//将IP库中的城市取出来转成utf-8编码
	$mycity=substr($city,0,9);//截取省份
	$map['quyu']=array('like','%'.$mycity.'%');
	$mykf=D("Service")->where($map)->find();//查询匹配的客服，以便自动分配专属客服
	$assign=array(
	'city'=>$city,
	'mykf'=>$mykf['id'],
	);
	$this->assign($assign);
	$this->display();
    }
	//用户注册
    public function reg(){
   
	
	$tg_code=ranstr(12,1);
	$where['tg_code']=$tg_code;
	$code=D('User')->where($where)->find();
	if($code){$tg_code=ranstr(10,1).ranstr(2,1);}//如果存在重复的推广码
		
	$data = array(
		'userid' => strtolower(I("post.name")),//用户帐号
		'phone' => I("post.phone"),//手机号
		'pwd' => md5(I("post.pwd")),//用户密码
		'sid' => I("post.sid"),//对应的客服ID
		'status' => I("post.status"),//客户级别
		'qq' => I("post.qq"),//QQ号
		'face' => I("post.face"),//用户头像
		'addtime' => time(),//注册时间
		'city'=>I('post.city'),
		'agent' =>cookie('tg_from'),//推广用户的ID
		'tg_code' =>$tg_code,//专属推广码
		);
		
	$User = D("User"); // 实例化User对象
	// 自动验证
	if (!$User->create($data)){
	
	$this->ajaxReturn(ajax_error($User->getError()));
	exit();
	}
	
	$reg=$User->add($data);
	
	if(C('HD_REG_OPEN')=="1"){
	//如果开启了注册送现金活动开始给用户送金额和积分
	//请根据业务需要调整 
	$m_where['userid']=strtolower(I("post.name"));//查询用户ID条件
	$u_data=D('User')->where($m_where)->find();//查询出用户的ID
	$payid='CZ-'.date('YmdHis').rand(0,100);//生成充值编号
	$m_data=array(
		'payid'=>$payid,//订单号
		'uid'=>$u_data['id'],//充值用户帐号ID
		'inpay'=>C('HD_REG_MONEY'),//充值金额
		'lx'=>'1',//1收入金额为充值款项，2为收入为推广收入（可提现）
		'addtime'=>time(),//充值提交时间
		'paytime'=>time(),//充值提交时间
		'status'=>'1',//充值状态为成功
		'beizhu'=>"注册赠送现金（仅用于消费，不可提现）",//备注说明
		);
	D('Money')->add($m_data);//将送金额记录写入明细
	//帐户余额增加金额和积分
	$u_where['id']=$u_data['id'];
	D('User')->where($u_where)->setInc('money',C('HD_REG_MONEY'));
	D('User')->where($u_where)->setInc('scores',C('HD_REG_JF'));
	
	}
	//送现金和积分活动代码结束
	
	if ($reg){
	$this->ajaxReturn(ajax_success("恭喜，注册成功！"));	
	}else{
	$this->ajaxReturn(ajax_error("注册失败，请检测填写是否正确！"));
	exit;	
	}
	
	}
	
	//注册AJAx前端表单验证（帐号，手机号和验证码验证）
	public function reg_chk(){
	//帐号验证唯一性
	   if(I('get.name')){
			$where=array(
			'userid'=>I('get.name'),
			);
			$user_chk=D('User')->where($where)->count();
			if($user_chk>0){	
			echo "false";	
			}else{
			echo "true";		
			}
		}
		//手机号验证唯一性
		if(I('get.phone')){
			$where=array(
			'phone'=>I('get.phone'),
			);
			$user_chk=D('User')->where($where)->count();
			if($user_chk>0){	
			echo "false";	
			}else{
			echo "true";		
			}
		}
		//邮箱验证唯一性
		if(I('get.email')){
			$where=array(
			'email'=>I('get.email'),
			);
			$user_chk=D('User')->where($where)->count();
			if($user_chk>0){	
			echo "false";	
			}else{
			echo "true";		
			}
		}
		//验证码验证
		if(I('get.yzm')){
			$code = I('get.yzm');//获取传递过来的验证码
			if(check_verify($code)){
			//如果返回真
			echo "true";			
			}else{	
			//如果返回假
			echo "false";
			
			}
		}
	}
	

}